# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import json

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def update_package():
    package_updated = False
    proxies = get_proxies()

    if not proxies:
        proxies = get_proxies_from_wapt_console()


    git_repo = "phoronix-test-suite/phoronix-test-suite"
    url_api = "https://api.github.com/repos/%s/releases/latest" % git_repo

    # Get data from API
    releases_dict = wgets(url_api, proxies=proxies, as_json=True)
    for asset in releases_dict["assets"]:
        if asset["browser_download_url"].endswith(".deb"):
            url_download = asset["browser_download_url"]
            filename = url_download.split("/")[-1]
            last_version = releases_dict["tag_name"].replace("v","")
            break

    if not isfile(filename):
        package_updated = True
        wget(url_download, filename, proxies=proxies)

    # nettoyer les fichiers temporaires
    for f in glob.glob("*.deb"):
        if f != filename:
            remove_file(f)

    control.set_software_version(last_version)
    control.save_control_to_wapt()

    return package_updated
